Subject: Re: [alto] WGLC for draft-ietf-alto-cost-mode-00

From: Qin Wu <[email-masked]>
Date: Sun, 10 Apr 2022 11:21:05 +0000

Hi, Kai and Qiao:
Is there any other RFCs which describe “hyphen” usages besides RFC7285?
Since this work is targeted to update RFC7285, there is a time window to improve RFC7285,
If “hyphen-minus” described in https://www.unicode.org/charts/PDF/U0000.pdf, is current best practice, I have no better reason to reject this request,:-)
The price is we should also update other sections related to cost metric and global endpoint properties with “hyphen” usage.

-Qin
发件人: alto [mailto:[email-masked]] 代表 [email-masked]
发送时间: 2022年4月10日 15:57
收件人: Qiao Xiang <[email-masked]>
抄送: [email-masked]
主题: Re: [alto] WGLC for draft-ietf-alto-cost-mode-00

Hi Qiao and all,

Thanks for reviewing the document.

In RFC 7285, "hyphen" is used when defining PID, cost metric, etc. One option is to use the term consistently with existing RFCs.

Best,

Kai

-----Original Messages-----
From:"Qiao Xiang" <[email-masked]<mailto:[email-masked]>>
Sent Time:2022-04-09 18:04:36 (Saturday)
To: [email-masked]<mailto:[email-masked]>
Cc:
Subject: Re: [alto] WGLC for draft-ietf-alto-cost-mode-00
Hi Kai and all,

I have read the document and support the proceeding of its publication with one tiny suggested edit:

Section 3.2: the hyphen ('-', U+002D) -> the hyphen-minus ('-', U+002D)

This is to be consistent with the official name of this character in https://www.unicode.org/charts/PDF/U0000.pdf.

Best
Qiao

On Sat, Apr 9, 2022 at 9:53 AM <[email-masked]<mailto:[email-masked]>> wrote:

Hi Jordi,

Thanks for reviewing the document!

Best,

Kai

-----Original Messages-----
From:"Jordi Ros Giralt" <[email-masked]<mailto:[email-masked]>>
Sent Time:2022-04-08 13:03:03 (Friday)
To: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Cc:
Subject: Re: [alto] WGLC for draft-ietf-alto-cost-mode-00
Hi Kai,

I read this document and I support proceeding with its publication.

Thank you,
Jordi

________________________________
From: alto <[email-masked]<mailto:[email-masked]>> on behalf of [email-masked]<mailto:[email-masked]> <[email-masked]<mailto:[email-masked]>>
Sent: Friday, March 25, 2022 1:46
To: [email-masked]<mailto:[email-masked]> <[email-masked]<mailto:[email-masked]>>
Subject: [alto] WGLC for draft-ietf-alto-cost-mode-00

WARNING: This email originated from outside of Qualcomm. Please be wary of any links or attachments, and do not enable macros.

Hi all,

As discussed during the ALTO session in IETF 113, the ALTO cost mode document is now adopted as a working group document. A new WG version (draft-ietf-alto-cost-mode-00) [1] has been submitted to replace the individual draft and address comments from the Call for Adoption.

To move forward, this message starts the WGLC for draft-ietf-alto-cost-mode-00. The WGLC will run till April 8, 2022 (two weeks from now).

As both WG chairs are co-authoring the document, I’m taking care of this call as part of my document shepherding. We would like to have 2-3 reviewers from the working group. Please review and indicate your support or objection to proceed with the publication of this document.

Thanks!

[1] https://datatracker.ietf.org/doc/draft-ietf-alto-cost-mode/.

Best,
Kai
_______________________________________________
alto mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/alto
_______________________________________________
alto mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/alto

--
Qiao Xiang
Professor, Xiamen University

---

From: [email-masked]
Date: Mon, 11 Apr 2022 08:19:17 +0800 (GMT+08:00)

Hi Qin, Qiao and all,

I searched for a few documents and it seems that many documents are referring to U+002D as hyphen-minus. It seems to me that we should use hyphen-minus.

https://datatracker.ietf.org/doc/html/rfc3490

https://datatracker.ietf.org/doc/html/rfc5890

https://datatracker.ietf.org/doc/html/rfc8551

https://datatracker.ietf.org/doc/html/rfc8771

Best,

Kai

-----Original Messages-----
From:"Qin Wu" <bill.wu=[email-masked]>
Sent Time:2022-04-10 19:21:05 (Sunday)
To: "[email-masked]" <[email-masked]>, "Qiao Xiang" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Subject: Re: [alto] WGLC for draft-ietf-alto-cost-mode-00

Hi, Kai and Qiao:

-Qin

Hi Qiao and all,

Best,

Kai

-----Original Messages-----
From:"Qiao Xiang" <[email-masked]>
Sent Time:2022-04-09 18:04:36 (Saturday)
To:[email-masked]
Cc:
Subject: Re: [alto] WGLC for draft-ietf-alto-cost-mode-00

Hi Kai and all,

 

Best

Qiao

 

On Sat, Apr 9, 2022 at 9:53 AM <[email-masked]> wrote:

Hi Jordi,

Best,

Kai

-----Original Messages-----
From:"Jordi Ros Giralt" <[email-masked]>
Sent Time:2022-04-08 13:03:03 (Friday)
To: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
Cc:
Subject: Re: [alto] WGLC for draft-ietf-alto-cost-mode-00

Hi Kai,

Thank you,

Jordi 

From: alto <[email-masked]> on behalf of [email-masked] <[email-masked]>
Sent: Friday, March 25, 2022 1:46
To:[email-masked] <[email-masked]>
Subject: [alto] WGLC for draft-ietf-alto-cost-mode-00

Hi all,

Thanks!

Best,
Kai
[email-masked]

[email-masked]

--

Qiao Xiang

---

From: Qiao Xiang <[email-masked]>
Date: Mon, 11 Apr 2022 09:17:24 +0800

Cool. Then it seems we should update RFC7285 to be consistent with
unicode.org and other RFCs. What do you think, Qin?

Best
Qiao

On Mon, Apr 11, 2022 at 8:19 AM <[email-masked]> wrote:

> Hi Qin, Qiao and all,
>
>
> I searched for a few documents and it seems that many documents are
> referring to U+002D as hyphen-minus. It seems to me that we should use
> hyphen-minus.
>
>
> *From:*"Qin Wu" <bill.wu=[email-masked]>
> *Sent Time:*2022-04-10 19:21:05 (Sunday)
> *To:* "[email-masked]" <[email-masked]>, "Qiao Xiang" <
> [email-masked]>
> *Cc:* "[email-masked]" <[email-masked]>
> *Subject:* Re: [alto] WGLC for draft-ietf-alto-cost-mode-00
>
> Hi, Kai and Qiao:
>
> If “hyphen-minus” described in
> https://www.unicode.org/charts/PDF/U0000.pdf, is current best practice, I
> have no better reason to reject this request,:-)
>
> The price is we should also update other sections related to cost metric
> and global endpoint properties with “hyphen” usage.
>
>
>
> -Qin
>
> *发件人:* alto [mailto:[email-masked]] *代表 [email-masked]
> *发送时间:* 2022年4月10日 15:57
> *收件人:* Qiao Xiang <[email-masked]>
> *抄送:* [email-masked]
> *主题:* Re: [alto] WGLC for draft-ietf-alto-cost-mode-00
>
>
>
> Hi Qiao and all,
>
>
>
> In RFC 7285, "hyphen" is used when defining PID, cost metric, etc. One
> option is to use the term consistently with existing RFCs.
>
>
>
> Best,
>
> Kai
>
>
>
>
>
> *From:*"Qiao Xiang" <[email-masked]>
> *Sent Time:*2022-04-09 18:04:36 (Saturday)
> *To:* [email-masked]
> *Cc:*
> *Subject:* Re: [alto] WGLC for draft-ietf-alto-cost-mode-00
>
> Hi Kai and all,
>
>
>
> This is to be consistent with the official name of this character in
> https://www.unicode.org/charts/PDF/U0000.pdf.
>
>
>
>
>
> Best
>
> Qiao
>
>
>
>
>
>
>
>
>
>
>
> *From:*"Jordi Ros Giralt" <[email-masked]>
> *Sent Time:*2022-04-08 13:03:03 (Friday)
> *To:* "[email-masked]" <[email-masked]>, "[email-masked]" <
> [email-masked]>
> *Cc:*
> *Subject:* Re: [alto] WGLC for draft-ietf-alto-cost-mode-00
>
> Hi Kai,
>
>
>
> ------------------------------
>
> *From:* alto <[email-masked]> on behalf of [email-masked] <
> [email-masked]>
> *Sent:* Friday, March 25, 2022 1:46
> *To:* [email-masked] <[email-masked]>
> *Subject:* [alto] WGLC for draft-ietf-alto-cost-mode-00
>
>
>
> WARNING: This email originated from outside of Qualcomm. Please be wary of
> any links or attachments, and do not enable macros.
>
> Hi all,
>
> As discussed during the ALTO session in IETF 113, the ALTO cost mode
> document is now adopted as a working group document. A new WG version
> (draft-ietf-alto-cost-mode-00) [1] has been submitted to replace the
> individual draft and address comments from the Call for Adoption.
>
> To move forward, this message starts the WGLC for
> draft-ietf-alto-cost-mode-00. The WGLC will run till April 8, 2022 (two
> weeks from now).
>
> As both WG chairs are co-authoring the document, I’m taking care of this
> call as part of my document shepherding. We would like to have 2-3
> reviewers from the working group. Please review and indicate your support
> or objection to proceed with the publication of this document.
>
> Thanks!
>

---

From: <[email-masked]>
Date: Mon, 11 Apr 2022 07:23:48 +0000

Hi Kai, all,

These RFCs are referring to Unicode in general, where several hyphens are supported.

RFC7285 points explicitly to US-ASCII alphanumeric characters, where U+002D is the only hyphen:
* There is no ambiguity about the intended behavior given that U+002D is provided
* Even if we reason about labels, there is also not ambiguity which hyphen is about

I don’t think there is an issue with RFC7285, but I would not object to an ** editorial ** errata.

That’s said, I’m for consistent use of labels and can fix this for the cost-mode I-D: https://github.com/boucadair/alto-cost-mode/blob/main/draft-ietf-alto-cost-mode.txt

Cheers,
Med

De : alto <[email-masked]> De la part de [email-masked]
Envoyé : lundi 11 avril 2022 02:19
À : bill.wu=[email-masked]
Cc : [email-masked]
Objet : Re: [alto] WGLC for draft-ietf-alto-cost-mode-00

Hi Qin, Qiao and all,

Best,

Kai

-----Original Messages-----
From:"Qin Wu" <bill.wu=[email-masked]<mailto:bill.wu=[email-masked]>>
Sent Time:2022-04-10 19:21:05 (Sunday)
To: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, "Qiao Xiang" <[email-masked]<mailto:[email-masked]>>
Cc: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: Re: [alto] WGLC for draft-ietf-alto-cost-mode-00
Hi, Kai and Qiao:
Is there any other RFCs which describe “hyphen” usages besides RFC7285?
Since this work is targeted to update RFC7285, there is a time window to improve RFC7285,
If “hyphen-minus” described in https://www.unicode.org/charts/PDF/U0000.pdf, is current best practice, I have no better reason to reject this request,:-)
The price is we should also update other sections related to cost metric and global endpoint properties with “hyphen” usage.

-Qin
发件人: alto [mailto:[email-masked]] 代表 [email-masked]<mailto:[email-masked]>
发送时间: 2022年4月10日 15:57
收件人: Qiao Xiang <[email-masked]<mailto:[email-masked]>>
抄送: [email-masked]<mailto:[email-masked]>
主题: Re: [alto] WGLC for draft-ietf-alto-cost-mode-00

Hi Qiao and all,

Best,

Kai

-----Original Messages-----

Best
Qiao

Hi Jordi,

Best,

Kai

-----Original Messages-----

Thank you,
Jordi

Hi all,

Thanks!

Best,
Kai

_________________________________________________________________________________________________________________________

Ce message et ses pieces jointes peuvent contenir des informations confidentielles ou privilegiees et ne doivent donc
pas etre diffuses, exploites ou copies sans autorisation. Si vous avez recu ce message par erreur, veuillez le signaler
a l'expediteur et le detruire ainsi que les pieces jointes. Les messages electroniques etant susceptibles d'alteration,
Orange decline toute responsabilite si ce message a ete altere, deforme ou falsifie. Merci.

This message and its attachments may contain confidential or privileged information that may be protected by law;
they should not be distributed, used or copied without authorisation.
If you have received this email in error, please notify the sender and delete this message and its attachments.
As emails may be altered, Orange is not liable for messages that have been modified, changed or falsified.
Thank you.

---

From: [email-masked]
Date: Mon, 11 Apr 2022 20:43:14 +0800 (GMT+08:00)

Hi Med and all,

Sounds good to me. In that case, I think we can end the WGLC for draft-ietf-alto-cost-mode-00.

Three individual reviews were posted to the mailing list by Peng [1], Jordi [2] and Qiao [3]. No objections have been raised and I believe a new version has already been submitted to address the comments. It seems to me that the document can proceed now.

Best,

Kai

[1] https://mailarchive.ietf.org/arch/msg/alto/O0svuhpDJbgzyMcCvsYAlVhUeGc/

[2] https://mailarchive.ietf.org/arch/msg/alto/hPsJw_Jwm9yA24ed-YO8kEVNOOk/

[3] https://mailarchive.ietf.org/arch/msg/alto/Ej1QKC0_Uuq76qCgXEn2_h9I6n8/

-----Original Messages-----
From:[email-masked]
Sent Time:2022-04-11 15:23:48 (Monday)
To: "[email-masked]" <[email-masked]>, "bill.wu=[email-masked]" <bill.wu=[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Subject: Re: [alto] WGLC for draft-ietf-alto-cost-mode-00

Hi Kai, all,

Cheers,

Med

Hi Qin, Qiao and all,

Best,

Kai

-----Original Messages-----

Hi, Kai and Qiao:

-Qin

抄送:[email-masked]

Hi Qiao and all,

Best,

Kai

-----Original Messages-----

Hi Kai and all,

 

Best

Qiao

 

Hi Jordi,

Best,

Kai

-----Original Messages-----

Hi Kai,

Thank you,

Jordi 

Hi all,

Thanks!

Best,
Kai

 

--

Qiao Xiang